Delphi 4 Professional - Service update #2 error - Corrupt cabinet file

I am trying (again) to apply the D4PUPD2.EXE to my delphi 4 professional.  I
get the following error while the setup.ini is extracting.

PackageForTheWebError

Corrupt cabinet file.

Any ideas?.   I have downloaded this twice now..